# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments to toni@links2linux.de

# norootforbuild

Name:			ladspa-cmt
Summary:		Computer Music Toolkit (CMT) - A collection of LADSPA plugins
Version:		1.15
Release:		0.pm.2.3
License:		GPL
Group:			Productivity/Multimedia/Sound/Utilities
Source:			cmt_src_%{version}.tar.bz2
Source1:		ladspa-cmt.rdf
Patch0:			cmt-makefile.patch
Patch1:			cmt-1.15-addnoise.patch
Patch2:			cmt-1.15-dontdenormal.patch
Patch3:			cmt-1.15-nostrip.patch
URL:			http://www.ladspa.org/
BuildRoot:		%{_tmppath}/%{name}-%{version}-build
BuildRequires:	gcc-c++
BuildRequires:	ladspa

%description
This toolkit is a set of musical sound processing and synthesis tools
presented as a LADSPA plugin library. See the doc/ directory for
documentation and installation instructions. See http://www.ladspa.org
for LADSPA information. See http://www.ladspa.org/cmt for CMT updates.



%prep
%setup -q -n cmt
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%__chmod -x doc/plugins.html src/freeverb/Components/tuning.h

%build
%__make %{?_smp_mflags} \
	-C src \
	CFLAGS="$RPM_OPT_FLAGS -fPIC -DPIC" \
	targets

%install
%__install -dm 755 %{buildroot}%{_libdir}/ladspa
%__make install \
	-C src \
	DESTDIR="%{buildroot}" \
	INSTALL_PLUGINS_DIR="%{_libdir}/ladspa/"

%__install -dm 755 %{buildroot}%{_datadir}/ladspa/rdf
%__install -p -m 0644 %{SOURCE1} \
	%{buildroot}%{_datadir}/ladspa/rdf/cmt.rdf

%clean
[ -d %{buildroot} -a "%{buildroot}" != "" ] && %__rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README
%doc doc/*
%dir %{_libdir}/ladspa
%{_libdir}/ladspa/*
%dir %{_datadir}/ladspa
%dir %{_datadir}/ladspa/rdf
%{_datadir}/ladspa/rdf/*

%changelog
* Sun Sep 16 2007 Toni Graffy <toni@links2linux.de> - 1.15-0.pm.1
- splitt-off from ladspa package
- using patches from Hans de Goede <j.w.r.degoede@hhs.nl>

